Retrieve all Apple Identity Access CSRs
Roles
Analytics Events
/v2/presentations/certificates/apple-identity-access-certificatesRetrieves all Apple Identity Access CSRs created by the tenant.
Analytic events
- CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_LIST_START
- CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/certificates/apple-identity-access-certificates"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
{
"id": "fd44e792-45ac-11f0-bef8-bb24f133065e",
"teamId": "A2B3C4D5E6",
"merchantId": "com.domain.subdomain",
"csrPem": "string"
}
]
}How would you rate this page?
Create an Apple Identity Access CSR POST
Creates an Apple Identity Access Certificate Signing Request (CSR) that can be uploaded to the Apple Developer Portal. This certificate contains the public key that will be used to decrypt the response from the Apple Wallet. ### **Analytic events** * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_START * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_SUCCESS * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_FAIL
Retrieve an Apple Identity Access CSR GET
Retrieves an existing Apple Identity Access CSR. ### **Analytic events** * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_START * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_SUCCESS * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_FAIL